import 'dart:async';
import 'package:flutter/services.dart';
import 'package:flutter/foundation.dart';

class ImpigerSecurestroage {
  static const MethodChannel _channel =
      const MethodChannel('impiger_securestroage');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
  Future<void> writeString({@required String key, @required String value,}) async =>

      _channel.invokeMethod('write_string', <String, dynamic>{
        'key': key,
        'value': value
      });
  Future<String> readString({@required String key,}) async {

    final String value = await _channel.invokeMethod(
        'read_string', <String, dynamic>{
      'key': key,
    });
    print(value);
    return value;
  }
  Future<void> writeDouble({@required String key, @required double value,}) async =>
      _channel.invokeMethod('write_double', <String, dynamic>{
        'key': key,
        'value': value

      });
  Future<double> readDoubleNew({@required String key}) async {

    final double value = await _channel.invokeMethod('read_double', <String, dynamic>{
      'key': key,
    });
    print(value);
    return value;
  }
  Future<void> writeInt({@required String key, @required int value}) async =>
      _channel.invokeMethod('write_int', <String, dynamic>{
        'key': key,
        'value': value
      });
  Future<int> readInt({@required String key }) async {
    final int value = await _channel.invokeMethod('read_int', <String, dynamic>{
      'key': key
    });
    print(value);
    return value;
  }
  Future<void> writeBoolean({@required String key, @required bool value,}) async =>
      _channel.invokeMethod('write_boolean', <String, dynamic>{
        'key': key,
        'value': value

      });
  Future<bool> readBoolean({@required String key}) async {
    final bool value = await _channel.invokeMethod(
        'read_boolean', <String, dynamic>{
      'key': key,
    });
    print(value);
    return value;
  }
}
